Name:           lager
Version:        0.1.0
Release:        %mkrel 1
Summary:        C++ library for value-oriented design
License:        BSL-1.0
Group:          System/Libraries
URL:            https://github.com/arximboldi/lager
Source0:        https://github.com/arximboldi/lager/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:         lager-0.1.0-sassc.patch

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  sassc
BuildRequires: zug-devel
BuildRequires: immer-devel

%description
lager is a C++ library to assist value-oriented design by implementing the
unidirectional data-flow architecture. It is heavily inspired by Elm and Redux,
and enables composable designs by promoting the use of simple value types and
testable application logic via pure functions. And you get time-travel for
free!

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description devel
Development files (Headers etc.) for %{name}.

%prep
%autosetup -p1

sed -i 's|lib/cmake/Lager|share/cmake/Lager|' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_datadir}/%{name}/

%files devel
%{_includedir}/%{name}/
%{_datadir}/cmake/Lager/


%changelog
* Mon Oct 09 2023 tex - 0.1.0-1pclos2023
- initial package lager (needed for krita)
